SSOでのサインインが必要です

Moses Skodaエンジニア読了目安 1分

APIは、この問題が発生すると403 Forbiddenを返します。typeはhttps://lingo.dev/docs/api/errors/sso-sign-in-requiredです。すべてのエラーに共通する構造については、エラーとステータスコードをご覧ください。

組織<organizationId>の認証プロバイダーを使用していないセッションです。SSOでサインインしてから、強制適用を有効にしてください。

フィールド#

レスポンス本文には、標準のメンバーであるtype、status、title、detailに加えて、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
organizationIdstring

例#

json
{
  "detail": "A session without the organization's identity provider at organization <organizationId>. Sign in with SSO, then turn enforcement on.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/sso-sign-in-required",
  "status": 403,
  "title": "SSO sign-in required"
}

このエラーを返すエンドポイント#

  • PATCH /v2/organizations/{orgId}/sso